BGPD(8)

NAME
bgpd - a BGPv4, BGPv4+, BGPv4- routing engine for use with Zebra

SYNOPSIS
bgpd [ -dhpPv ] [ -f config-file ] [ -i pid-file ] [ -p bgp-port-number ] [ --bgp_port=port-number ] [ -P vty-port-number ]

DESCRIPTION
bgpd is a routing component that works with the zebra routing engine.

OPTIONS

-d, --daemon
    Runs in daemon mode, forking and exiting from tty.

-f, --config-file config-file
    Specifies the config file to use for startup. If not specified this option will likely default to /etc/zebra/bgpd.conf.

-h, --help
    A brief message.

-i, --pid_file pid-file
    When bgpd starts its process idenifier is written to pid-file. The init system uses the recorded PID to stop or restart bgpd. The likely default is /var/run/bgpd.pid.

-p, --bgp_port=port
    Set the port that bgpd will listen to for bgp data.

-P, --vty_port port-number
    Specify the port that the bgpd VTY will listen on. This defaults to 2605, as specified in /etc/services.

-r, --retain
    When the program terminates, retain routes added by bgpd.

-v, --version
    Print the version and exit.

COMMANDS
router zebra -- (Move routes into kernel table) router bgp [AS-NUMBER] bgp router-id [BGP-ROUTER-ID] network [NETWORK] area [BGP-AREA-ID] no network [NETWORK] aggregate-address [NETWORK] neighbor [PEER-IP-ADDRESS] remote-as [REMOTE-AS] neighbor [PEER-IP-ADDRESS] version [ 4 | 4+ | 4- ] neighbor [PEER-IP-ADDRESS] description no neighbor [PEER-IP-ADDRESS] description neighbor [PEER-IP-ADDRESS] route-map [in | out] neighbor [PEER-IP-ADDRESS] distribute-list [in | out] neighbor [PEER-IP-ADDRESS] next-hop-self neighbor [PEER-IP-ADDRESS] weight [WEIGHT] neighbor [PEER-IP-ADDRESS] default-originate neighbor [PEER-IP-ADDRESS] ebgp-multihop neighbor [PEER-IP-ADDRESS] shutdown no neighbor [PEER-IP-ADDRESS] shutdown clear ip bgp [PEER-IP-ADDRESS] show ip bgp [NETWORK] show ip bgp reg-exp [AS-REGEXP] show ip bgp summary show ip bgp neighbor [PEER-IP-ADDRESS] show ip bgp route show debug debug bgp debug event debug update debug keepalive no debug event no debug update no debug keepalive

FILES

/usr/local/sbin/bgpd
    The default location of the bgpd binary.

/etc/zebra/bgpd.conf
    The default location of the bgpd config file.

$(PWD)/bgpd.log
    If the bgpd process is config'd to output logs to a file, then you will find this file in the directory where you started bgpd.

WARNING
This man page is intended as a quick reference for command line options, and for config file commands. The definitive document is the Info file zebra.

DIAGNOSTICS
The bgpd process may log to standard output, to a VTY, to a log file, or through syslog to the system logs. bgpd supports many debugging options, see the Info file, or the source for details.

SEE ALSO
References to other related man pages: ripd(8), ripngd(8), ospfd(8), ospf6d(8), zebra(8), vtysh(1)

BUGS
bgpd eats bugs for breakfast. If you have food for the maintainers try <bug-zebra@gnu.org>

AUTHOR[S]
See <www.zebra.org>, or the Info file for an accurate list of authors.